#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2018-03-18
#
# metrics plugin for cisco_wlc_mem


from cmk.gui.i18n import _

from cmk.gui.plugins.metrics.utils import (
    metric_info,
    graph_info,
    perfometer_info
)

metric_info['cisco_wlc_mem_utilization'] = {
    'title': _('Memory utilization'),
    'unit': '%',
    'color': '26/a',
}

graph_info['cisco_wlc_mem.cisco_wlc_mem_utilization'] = {
    'title': _('Memory utilization'),
    'metrics': [
        ('cisco_wlc_mem_utilization', 'area'),
    ],
    'range': (0, 100),
    'scalars': [
        ('cisco_wlc_mem_utilization:crit', _('crit level')),
        ('cisco_wlc_mem_utilization:warn', _('warn level')),
    ],
}


perfometer_info.append({
    'type': 'linear',
    'segments': ['cisco_wlc_mem_utilization'],
    'total': 100.0,
})
